//////////////////////////////////////////////////////////////////////////////////
//hellofpga.com
//////////////////////////////////////////////////////////////////////////////////
`timescale 1ns / 1ps
module LED(
    input  clk,//ʱ125M
    input  rst,//λ
    output led1,
    output led2,
    output led3,
    output led4
    );
    
    parameter T1MS = 27'd125_000_000 ; //125ʱ
    reg [26:0]time_count;
    always@(posedge clk or posedge rst)
        if(rst)begin//λ£ֵ0
            time_count<=27'd0;
        end
        else begin//ڸλ
            if(time_count>=T1MS-1'b1)//ﵽ 125_000_000һӼ
                time_count<=27'd0;
            else time_count<=time_count+1'b1;//¼
        end
        
    reg [3:0]led_state;
    always@(posedge clk or posedge rst)
        if(rst)begin//λ£ֵ0
             led_state<=4'd0;
        end
        else begin
             if(time_count==T1MS-1'b1)begin//һ
                if(led_state>=4'd3)led_state<=4'd0;//0-2ѭ
                else led_state<=led_state+1'b1;// 
            end
        end    
      
      assign led1= (led_state==4'd0)?1'b1:1'b0;
      assign led2= (led_state==4'd1)?1'b1:1'b0;
      assign led3= (led_state==4'd2)?1'b1:1'b0;
      assign led4= (led_state==4'd3)?1'b1:1'b0;
      
endmodule
